SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   Oracle Java Secure Socket Extension (JSSE) Vendors:   IBM
(IBM Issues Fix for IBM JSSE) Oracle Java Runtime Environment (JRE) Multiple Flaws Let Remote Users Execute Arbitrary Code and Deny Service
SecurityTracker Alert ID:  1026448
SecurityTracker URL:  http://securitytracker.com/id/1026448
CVE Reference:   CVE-2011-3560   (Links to External Site)
Date:  Dec 22 2011
Impact:   Denial of service via network, Disclosure of system information, Disclosure of user information, Execution of arbitrary code via network, Modification of system information, Modification of user information, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  

Description:   Multiple vulnerabilities were reported in Java Runtime Environment (JRE). A remote user can execute arbitrary code on the target system. A remote user can cause denial of service conditions. IBM JSSE is affected by at least one vulnerability.

A remote user can create a specially crafted Java applet or Java Web Start application that, when loaded by the target user, will access or modify data on the target user's system or execute arbitrary code on the target user's system. The code will run with the privileges of the target user.

A remote user can also cause denial of service conditions.

The following researchers reported these and other Oracle vulnerabilities:

Adam Barth; axtaxt via Tipping Point's Zero Day Initiative; Eric Rescorla; Juliano Rizzo; Michael Schierl via Tipping Point; Neal Poole; Roee Hay of IBM Rational Application Security Research Group; Sami Koivu via Tipping Point's Zero Day Initiative; Thai Duong; and Yair Amit of IBM Rational Application Security Research Group.

Impact:   A remote user can create a Java applet or Java Web Start application that, when loaded by the target user, will access or modify data or execute arbitrary code on the target user's system.

A remote user can cause denial of service conditions on the target system.

Solution:   IBM has issued a fix for CVE-2011-3560 for IBM JSSE.

The IBM advisory is available at:

http://www-01.ibm.com/support/docview.wss?uid=swg21571596

Cause:   Not specified
Underlying OS:  Linux (Any), UNIX (AIX), UNIX (HP/UX), UNIX (Solaris - SunOS), Windows (Any), z/OS

Message History:   This archive entry is a follow-up to the message listed below.
Oct 19 2011 Oracle Java Runtime Environment (JRE) Multiple Flaws Let Remote Users Execute Arbitrary Code and Deny Service



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC